#!/bin/sh -e
export ISPMS_CONF=%%CONFDIR%%/ispmsactive.conf
. ${ISPMS_CONF}

case $1 in
start)
    echo -n ' ispmsactive'
    ${0} DAEMON &
    echo $! > /var/run/ispmsactive.dog
    ;;
stop)
    echo -n ' ispmsactive'
    if  [ -r /var/run/ispmsactive.pid ]; then
        kill `cat /var/run/ispmsactive.dog` `cat /var/run/ispmsactive.pid`
    fi
    ;;
DAEMON)
    for i in %%LIBEDIR%%/active/*; do
        if  [ -x ${i} ]; then
            ${i} start > /dev/null 2>&1 &
            wait
        fi
    done
    while ${true}; do
        %%LIBEDIR%%/ispmsactive &
        echo $! > /var/run/ispmsactive.pid
        wait
        for i in %%LIBEDIR%%/active/*; do
            if  [ -x ${i} ]; then
                ${i} > /dev/null 2>&1 &
                wait
            fi
        done
    done
    ;;
esac
